# circuits.tools package

## Module contents

Circuits Tools

circuits.tools contains a standard set of tools for circuits. These tools are installed as executables with a prefix of “circuits.”

circuits.tools.tryimport(modules, obj=None, message=None)

circuits.tools.getargspec(func)

circuits.tools.walk(x, f, d=0, v=None)

circuits.tools.edges(x, e=None, v=None, d=0)

circuits.tools.findroot(x)

circuits.tools.kill(x)

circuits.tools.graph_ascii(x)

  Display a directed graph of the Component structure of x

  Parameters:

    x (Component or Manager) – A Component or Manager to graph

  @return: A directed graph representing x’s Component structure. @rtype: str

circuits.tools.graph_dot(x, name=None)
  Parameters:

    - x (Component or Manager) – A Component or Manager to graph

    - name (str) – A name for the graph (defaults to x’s name)

circuits.tools.graph_png(x, name=None)
  Parameters:

    - x (Component or Manager) – A Component or Manager to graph

    - name (str) – A name for the graph (defaults to x’s name)

circuits.tools.graph(x, name=None)
  Parameters:

    - x (Component or Manager) – A Component or Manager to graph

    - name (str) – A name for the graph (defaults to x’s name)

circuits.tools.inspect(x)

  Display an inspection report of the Component or Manager x

  Parameters:

    x (Component or Manager) – A Component or Manager to graph

  @return: A detailed inspection report of x @rtype: str

circuits.tools.deprecated(f)